import { OnDestroy, OnInit, QueryList } from '@angular/core';
import { AccordionItemRouterlinkComponent } from './accordion-item-routerlink.component';
import { AccordionService } from './accordion.service';
import { AccordionMenuItem } from './accordion.type';
import * as i0 from "@angular/core";
export declare class AccordionListComponent implements OnInit, OnDestroy {
    private accordion;
    private accordionService;
    data: Array<AccordionMenuItem>;
    deepth: number;
    parent: AccordionMenuItem;
    accordionMenuQueryList: QueryList<any>;
    accordionItemRouterlinkQueryList: QueryList<AccordionItemRouterlinkComponent>;
    get animateState(): any;
    get loading(): any;
    get noContent(): boolean;
    get linkTypeKey(): any;
    get childrenKey(): any;
    get activeKey(): any;
    get itemTemplate(): any;
    get menuItemTemplate(): any;
    get innerListTemplate(): any;
    get loadingTemplate(): any;
    get noContentTemplate(): any;
    get linkType(): any;
    get i18nCommonText(): any;
    get showNoContent(): any;
    get linkDefaultTarget(): any;
    get routerLinkActivated(): boolean;
    get hasActiveChildren(): boolean;
    constructor(accordion: any, accordionService: AccordionService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private isLinkRouterActive;
    private isMenuRouterActive;
    private isMenuDataActive;
    private isItemDataActive;
    private isItemData;
    menuToggleItemFn: (item: any, event?: any) => void;
    itemClickItemFn: (item: any, event?: any) => void;
    getOpenState(item: any, list: any): "expanded" | "collapsed";
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccordionListComponent, "d-accordion-list", never, { "data": "data"; "deepth": "deepth"; "parent": "parent"; }, {}, never, never, false>;
}
